NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: NetBSD 5.0.1 on Dell E6400

On Sun, Oct 11, 2009 at 10:37 PM, Soren Jacobsen <> 
> On Oct 11, 2009, at 10:40 AM, Havard Eidnes wrote:
>>> [...] but even my vga card (Intel 45 express) shows as not
>>> configured [...]
>> Isn't that the normal state of affairs for basically all graphics
>> cards in NetBSD? ÂThe software to drive the graphics beyond
>> normal text output resides in the X11 server, not in the kernel.
>> That is, if we're not talking about "direct rendering", which
>> does indeed require code in the kernel.
> The problem in this case is the agp driver. ÂThere were known problems with
> Intel G45.
>>> But what about X? I found this email
>>> Does it mean that I must install Intel driver from package to
>>> get my vga working?
>> That depends on which NetBSD version you installed, and whether
>> you installed the X11 sets. ÂIn NetBSD 5.0, it is the "xorg" code
>> which is used for the in-tree X11 bits at least if you run i386
>> or amd64, if I recall correctly, and therefore there should be
>> less of a need to install X11 bits from pkgsrc to get an X server
>> up and running.
> On top of the above problems with the agp driver, the version of the
> xf86-video-intel driver that is shipped with 5.0 has trouble with G45.
> ÂReally, netbsd-5 is the way to go here.

I will try it now. I was following post about xf86-video-intel, but I
can't install this.
It's not in packages and when I try to compile it from pkgsrc it post
message about
missing xkbfile, but this file isn't in pkgsrc or in form of binary
package. So I must take
a look at how to upgrade NetBSD.

Home | Main Index | Thread Index | Old Index